package com.engine.organization.web;

import com.engine.common.util.ParamUtil;
import com.engine.common.util.ServiceUtil;
import com.engine.organization.util.response.ReturnResult;
import com.engine.organization.wrapper.NonStandardOptWrapper;
import weaver.general.Util;
import weaver.hrm.HrmUserVarify;
import weaver.hrm.User;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.ws.rs.POST;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.core.Context;
import javax.ws.rs.core.MediaType;
import java.util.Map;

/**
 * @author:dxfeng
 * @createTime: 2022/09/01
 * @version: 1.0
 */
public class NonStandardOptController {
    public NonStandardOptWrapper getNonStandardOptWrapper(User user) {
        return ServiceUtil.getService(NonStandardOptWrapper.class, user);
    }

    @POST
    @Path("/operation")
    @Produces(MediaType.APPLICATION_JSON)
    public ReturnResult operation(@Context HttpServletRequest request, @Context HttpServletResponse response) {
        try {
            User user = HrmUserVarify.getUser(request, response);
            Map<String, Object> map = ParamUtil.request2Map(request);
            String method = Util.null2String(map.get("method"));
            String ids = Util.null2String(map.get("ids"));
            getNonStandardOptWrapper(user).NonStandardOpt(method, ids);
            return ReturnResult.successed();
        } catch (Exception e) {
            return ReturnResult.exceptionHandle(e);
        }
    }

}
